function doclinkdlg(happ,dlgtype,APPINFO,msg,uguide)

% DOCLINKDLG
%
% Error or warning dialog with link to user guide documentation.
%
% DOCLINKDLG(HAPP,DLGTYPE,APPINFO,MSG,UGUIDE)
%
% This function is called by app_error and app_warning when the path of a
% user guide HTM file is included in their input arguments. The standard
% error or warning dialog is modified (i.e., hacked) by changing the OKAY
% button to Close and adding another button to open the link to a page of
% the IMAT App user guide. The OKAY/Close button callback and the figure
% close request function are also changed.
%
% HAPP is the handle to the IMAT App figure. DLGTYPE can be either 'error'
% or 'warning'. APPINFO is the application information structure from the
% IMAT App figure appdata. MSG is the message string or cell of strings.
% UGUIDE is a cell of strings containing the path of a user guide HTM file,
% relative the application function.

% The executable code for this function is in doclinkdlg
%
%  *******************************************
%  *****       COPYRIGHT (C) 2017       ******
%  *****    BY ATA ENGINEERING, INC.    ******
%  *****       ALL RIGHTS RESERVED      ******
%  *******************************************
